Bug 227910

Summary: Update sysutils/p5-BSD-Sysctl to support newer versions of FreeBSD
Product: Ports & Packages Reporter: Brad Davis <brd>
Component: Individual Port(s)Assignee: Warner Losh <imp>
Status: Closed FIXED    
Severity: Affects Only Me CC: david, imp, lwhsu, swills
Priority: --- Flags: brd: maintainer-feedback? (david)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
update none

Description Brad Davis freebsd_committer 2018-05-01 20:04:06 UTC
Created attachment 192982 [details]
update
Comment 1 Warner Losh freebsd_committer 2018-05-01 20:05:14 UTC
Brad got this from me, and the patch looks good to me.
Comment 2 Rene Ladan freebsd_committer 2019-11-05 21:02:59 UTC
Ports commit bit safekept.
Comment 3 Li-Wen Hsu freebsd_committer 2020-06-16 23:14:27 UTC
Can this patch also submit to the upstream?
Comment 4 Warner Losh freebsd_committer 2020-06-24 15:00:32 UTC
(In reply to Li-Wen Hsu from comment #3)

Upstream may be dead.
Comment 5 Warner Losh freebsd_committer 2020-06-24 23:15:31 UTC
https://reviews.freebsd.org/D25434
Comment 6 Warner Losh freebsd_committer 2020-06-24 23:21:34 UTC
(In reply to Warner Losh from comment #4)
I tried to submit it upstream 2 years ago when I wrote this patch originally.
Comment 7 commit-hook freebsd_committer 2020-06-25 00:00:43 UTC
A commit references this bug:

Author: imp
Date: Wed Jun 24 23:59:52 UTC 2020
New revision: 540356
URL: https://svnweb.freebsd.org/changeset/ports/540356

Log:
  Update to run on most recent -current

  Update to supporty the latest bool type.

  Approved by:	david@landgren.net (maintainer timeout, ~2 years)
  Obtained From:	Netflix
  PR:		227910
  Differential Revision: https://reviews.freebsd.org/D25434

Changes:
  head/sysutils/p5-BSD-Sysctl/Makefile
  head/sysutils/p5-BSD-Sysctl/files/patch-Makefile.PL
  head/sysutils/p5-BSD-Sysctl/files/patch-Sysctl.pm
  head/sysutils/p5-BSD-Sysctl/files/patch-Sysctl.xs
Comment 8 Warner Losh freebsd_committer 2020-06-25 01:02:35 UTC
Comitted with maintainer timeout.